﻿using System;
using System.Linq;
using System.Text;
using Xamarin.Forms;
using ZXing.Net.Mobile.Forms;

namespace XFGenBarcode.Views
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

            var barcode = new ZXingBarcodeImageView
            {
                HorizontalOptions = LayoutOptions.FillAndExpand,
                VerticalOptions = LayoutOptions.FillAndExpand,
                WidthRequest = 300,
                HeightRequest = 300,
                Margin = 10,
            };
            barcode.BarcodeFormat = ZXing.BarcodeFormat.QR_CODE;
            barcode.BarcodeOptions.Width = 300;
            barcode.BarcodeOptions.Height = 300;
            barcode.BarcodeOptions.Margin = 10;

            byte[] payload = new byte[53] { 254, 111, 2, 0, 128, 73, 28, 80, 1, 0, 2, 0, 89, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }; 

            barcode.BarcodeOptions.Hints.Add(ZXing.EncodeHintType.CHARACTER_SET, "ISO-8859-1");
            barcode.BarcodeValue = Encoding.UTF8.GetString(payload, 0, payload.Length);  // "ZXing.Net.Mobile";

            stacklayout.Children.Add(barcode);
        }
    }
}
